﻿using Hotline.Api.Controllers;
using Hotline.Application.CallCenter;
using Hotline.Identity.Accounts;
using Hotline.Identity.Roles;
using Hotline.Share.Dtos.CallCenter;
using Hotline.Users;
using Microsoft.Extensions.DependencyInjection;
using Shouldly;
using SqlSugar.Extensions;
using XF.Domain.Repository;

namespace Hotline.Application.Tests.Application;
public class DefaultCallApplicationTest
{
    private readonly XingTangCallApplication _defaultCallApplication;

    public DefaultCallApplicationTest(XingTangCallApplication defaultCallApplication)
    {
        _defaultCallApplication = defaultCallApplication;
    }

    [Fact]
    public async Task QueryCallsFixed_Test()
    {
        var inDto = new QueryCallsFixedDto();
        inDto.CallStartTimeEnd = DateTime.Now;
        inDto.CallStartTimeStart = "2024/10/01 00:00:00".ObjToDate();

        var items = _defaultCallApplication.QueryCallsFixedAsync(inDto, new CancellationToken());
        items.ShouldNotBeNull();
    }
}
